Subject: ssh/sshd questions and gdb/gnuwin bug?
From: [email-masked] (John Barratt)

7 Mar 1998 00:24:01 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Hi Folks,
	I have got ssh and sshd compiled with b19 but am having a few
problems.  I have been through the mailing list archives and learnt a
few things.

I am running : NT4.0SP3, gnuwin32B19, ssh 1.2.21 without kerberos
compiled in.

Looking through the archives I have tried a few tricks to get ssh
working such as:
+  from_stdin = 1;
in readpass.c at line 98.

This gets me going, but sometimes it still gives an exception when I run
it, and not others.  It is always after the password prompt comes up.

sshd gives the following when run without any command line options :
bash-2.01$ ./sshd
(E:\cygnus\Incoming\ssh-1.2.21\sshd.exe 1097) Exception:
STATUS_ACCESS_VIOLATION

Received signal 11.
bash-2.01$

Thats it, no chance to connect at all....

If I use the '-d' option and connect to it from another machine I get :

bash-2.01$ ./sshd -d
debug: sshd version 1.2.21 []
debug: Initializing random number generator; seed file
/etc/ssh_random_seed
log: Server listening on port 22.
log: Generating 768 bit RSA key.
Generating p:  ..........................++ (distance 462)
Generating q:  .............++ (distance 164)
Computing the keys...
Testing the keys...
Key generation complete.
log: RSA key generation complete.
debug: Server will not fork when running in debugging mode.
log: Connection from 203.22.74.4 port 1021
debug: Client protocol version 1.5; client software version 1.2.20
debug: Sent 768 bit public key and 1024 bit host key.
debug: Encryption type: idea
debug: Received session key; encryption turned on.
debug: Attempting authentication for jjb.
debug: Login for user jjb accepted without authentication.
debug: Allocating pty.
debug: Ignoring unsupported tty mode opcode 11 (0xb)
debug: Ignoring unsupported tty mode opcode 16 (0x10)
debug: Ignoring unsupported tty mode opcode 52 (0x34)
debug: Ignoring unsupported tty mode opcode 62 (0x3e)
debug: Forking shell.
debug: Entering interactive session.
error: Failed to disconnect from controlling tty.
debug: Received SIGCHLD.

On the remote machine I get when trying to connect :
(remotebox)[/] jjb> ssh 111.11.11.10
Environment:
  SSH_CLIENT=111.11.11.11 1021 22
  SSH_TTY=/dev/tty0
  CYGWIN_TITLE=1
  CYGWIN_TTY=1

And it hangs there....
(remote machine is SSH Version 1.2.20)

Is is something to do with my tty's not being setup?  I have nothing in
/dev, but I couldn't work out how to create any special files here
anyway, mknod tells me 'Function not implemented'

On a side issue there seems to be a bug with gdb or gunwin.  If I tried
:

"bash-2.01$ gdb ./ssh blah.com"

Then after you run it in gdb you get :

"Bad host name: ssh.exe"

seems as though the ARGV's are not getting translated properly
somewhere.  I would have looked at it further, but I haven't yet
downloaded the source.

Thanks in advance for any help,

JB.
-- 
=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=
John Barratt.
email : [email-masked]
snail : Langarson Pty. Ltd., PO Box 108, 
        Kensington, Victoria, Australia, 3031.
=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=_=-=
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".